Name:       perl-Net-Bonjour
Version:    0.96
Release:    1%{?dist}.7
License:    GPL+ or Artistic
Group:      Development/Libraries
Summary:    Module for DNS service discovery (Apple's Bonjour)
Source:     http://search.cpan.org/CPAN/authors/id/C/CH/CHLIGE/Net-Bonjour-%{version}.tar.gz
Packager:   Oleg Girko <ol@infoserver.lv>
Url:        http://search.cpan.org/dist/Net-Bonjour
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::DNS) >= 0.5
BuildRequires: perl(Socket) >= 1.75
BuildRequires: perl(Test::More)


%description
Net::Bonjour is a set of modules that allow one to discover local services
via multicast DNS (mDNS) or enterprise services via traditional DNS. This
method of service discovery has been branded as Bonjour by Apple Computer.

Base Object
    The base object would be of the Net::Bonjour class. This object
    contains the resolver for DNS service discovery.

Entry Object
    The base object (Net::Bonjour) will return entry objects of the class
    the Net::Bonjour::Entry manpage.

%prep
%setup -q -n Net-Bonjour-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Sun Jan 11 2015 Oleg Girko <ol@infoserver.lv> - 0.96-1
- Initial Fedora packaging
- Generated with cpan2dist (CPANPLUS::Dist::Fedora version 0.0.4)
